| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Util.XUtils

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

Contents

Usage:

Description
A module for painting on the screen
Synopsis

averagePixels :: Pixel -> Pixel -> Double -> X Pixel
createNewWindow :: Rectangle -> Maybe EventMask -> String -> Bool -> X Window
showWindow :: Window -> X ()
showWindows :: [Window] -> X ()
hideWindow :: Window -> X ()
hideWindows :: [Window] -> X ()
deleteWindow :: Window -> X ()
deleteWindows :: [Window] -> X ()
paintWindow :: Window -> Dimension -> Dimension -> Dimension -> String -> String -> X ()
paintAndWrite :: Window -> XMonadFont -> Dimension -> Dimension -> Dimension -> String -> String -> String -> String -> Align -> String -> X ()
stringToPixel :: (Functor m, MonadIO m) => Display -> String -> m Pixel
fi :: (Integral a, Num b) => a -> b

Usage:
See XMonad.Layout.Tabbed or XMonad.Layout.DragPane for usage examples

averagePixels :: Pixel -> Pixel -> Double -> X Pixel | Source

Compute the weighted average the colors of two given Pixel values.

createNewWindow :: Rectangle -> Maybe EventMask -> String -> Bool -> X Window | Source

Create a simple window given a rectangle. If Nothing is given only the exposureMask will be set, otherwise the Just value. Use `showWindow` to map and hideWindow to unmap.

showWindow :: Window -> X () | Source

Map a window

showWindows :: [Window] -> X () | Source

the list version

hideWindow :: Window -> X () | Source

unmap a window

hideWindows :: [Window] -> X () | Source

the list version

deleteWindow :: Window -> X () | Source

destroy a window

deleteWindows :: [Window] -> X () | Source

the list version

paintWindow | Source

:: Window | The window where to draw
-> Dimension | Window width
-> Dimension | Window height
-> Dimension | Border width
-> String | Window background color
-> String | Border color
-> X () |
Fill a window with a rectangle and a border

paintAndWrite | Source

:: Window | The window where to draw
-> XMonadFont | XMonad Font for drawing
-> Dimension | Window width
-> Dimension | Window height
-> Dimension | Border width
-> String | Window background color
-> String | Border color
-> String | String color
-> String | String background color
-> Align | String `Align`ment
-> String | String to be printed
-> X () |
Fill a window with a rectangle and a border, and write a string at given position

stringToPixel :: (Functor m, MonadIO m) => Display -> String -> m Pixel | Source

Get the Pixel value for a named color: if an invalid name is given the black pixel will be returned.

fi :: (Integral a, Num b) => a -> b | Source

Short-hand for `fromIntegral`
Produced by Haddock version 2.4.2